summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorArnold D. Robbins <arnold@skeeve.com>2014-12-24 20:25:05 +0200
committerArnold D. Robbins <arnold@skeeve.com>2014-12-24 20:25:05 +0200
commit0585c4e6f3d68846d56fe766675099b539e2cba9 (patch)
treec3ae31569777b42eb940e9d2e61a9f1a3b38b91b
parent5f4811bd1b91dd3b50a30a227e455738f5dcfe36 (diff)
downloadgawk-0585c4e6f3d68846d56fe766675099b539e2cba9.tar.gz
If a test fails, run make diffout and exit 1.
-rw-r--r--test/ChangeLog6
-rw-r--r--test/Makefile.am2
-rw-r--r--test/Makefile.in2
3 files changed, 8 insertions, 2 deletions
diff --git a/test/ChangeLog b/test/ChangeLog
index a8d12fd7..10fc9490 100644
--- a/test/ChangeLog
+++ b/test/ChangeLog
@@ -1,3 +1,9 @@
+2014-12-24 Andrew J. Schorr <aschorr@telemetry-investments.com>
+
+ * Makefile.am (check): If tests don't pass, run 'make diffout'
+ and exit 1. Should help distros that notice when they
+ have built gawk incorrectly. (Can you say "Fedora", boys and girls?)
+
2014-11-26 Arnold D. Robbins <arnold@skeeve.com>
* Gentests: Fix gensub call after adding warning.
diff --git a/test/Makefile.am b/test/Makefile.am
index 3c850125..b9a404ed 100644
--- a/test/Makefile.am
+++ b/test/Makefile.am
@@ -1100,7 +1100,7 @@ check: msg \
charset-msg-start charset-tests charset-msg-end \
shlib-msg-start shlib-tests shlib-msg-end \
mpfr-msg-start mpfr-tests mpfr-msg-end
- @$(MAKE) pass-fail
+ @$(MAKE) pass-fail || { $(MAKE) diffout; exit 1; }
basic: $(BASIC_TESTS)
diff --git a/test/Makefile.in b/test/Makefile.in
index 5a7610ee..f342de9d 100644
--- a/test/Makefile.in
+++ b/test/Makefile.in
@@ -1528,7 +1528,7 @@ check: msg \
charset-msg-start charset-tests charset-msg-end \
shlib-msg-start shlib-tests shlib-msg-end \
mpfr-msg-start mpfr-tests mpfr-msg-end
- @$(MAKE) pass-fail
+ @$(MAKE) pass-fail || { $(MAKE) diffout; exit 1; }
basic: $(BASIC_TESTS)